//-----------------------------------------------------------------------------
// テクスチャビュー
//-----------------------------------------------------------------------------

#ifndef _NWTEXVIEW_H_
#define _NWTEXVIEW_H_

//-----------------------------------------------------------------------------

class NWTEXVIEW: public NWFORM {
protected:
	PNWGRAPHIC		pPanel;
	PNWBUTTON		pL;
	PNWBUTTON		pR;
	PNWBUTTON		pMIP0;
	PNWBUTTON		pMIP1;
	PNWBUTTON		pBL;
	PNWBUTTON		pSS;
	PNWBUTTON		pTR;
	PNWBUTTON		pPAL;
	
	int				nTexNo;
	int				nMipMap;
	int				nBank;
	int				bBL;
	int				bSS;
	int				bTR;
	int				bPAL;
	
	float			fOX;
	float			fOY;
	float			fZoom;
	int				bLocked;
	NWPOINT			sPos;
	
	NWTEXVIEW( void );
	char* GetPixelFormatString( int nFormat );
	char* GetFlagString( int nFormat, int nFlag );
	char* GetColorModeString( int nMode );
public:
	NWTEXVIEW( PNWCONTROL pRootControl );
	~NWTEXVIEW( void );
	
	int MsgSysProc( NWCMD eCommand, PNWPARAM pParam );
	int OnClick( PNWPARAM pParam );
	int OnMouseDown( PNWPARAM pParam );
	int OnMouseMove( PNWPARAM pParam );
	int OnMouseUp( PNWPARAM pParam );
	int OnPaint( PNWPARAM pParam );
	int OnShortCut( PNWPARAM pParam );
};

//-----------------------------------------------------------------------------
#endif
